server:
  port: 8809

spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      write-dates-as-timestamps: false
  application:
    name: mdsp-service
  cloud:
    config:
      discovery:
        enabled: true
        service-id: config-center
  datasource:
    dynamic:
      druid:
        driver-class-name: com.mysql.cj.jdbc.Driver # 3.2.0开始支持SPI可省略此配置
        platform: mysql
        # 连接池的配置信息
        # 初始化大小，最小，最大
        initialSize: 5
        minIdle: 5
        maxActive: 20
        # 配置获取连接等待超时的时间
        maxWait: 60000
        # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        # 配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        # 打开PSCache，并且指定每个连接上PSCache的大小
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
        filters.commons-log.connection-logger-name: wall,log4j
        filter:
          stat:
            enabled: true
            mergeSql: true
            log-slow-sql: true
            slow-sql-millis: 2000
        #监控配置
        web-stat-filter:
          enabled: true
          url-pattern: /*
          exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
        # StatViewServlet配置，说明请参考Druid Wiki，配置_StatViewServlet配置
        stat-view-servlet:
          enabled: true
          url-pattern: /druid/*
          reset-enable: false
          login-username: root
          login-password: root
      primary: cdss # 设置默认的数据源或者数据源组,默认值即为cdss
      strict: false # 严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
  redis:
    jedis:
      pool:
        max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
        max-idle: 5 # 连接池中的最大空闲连接
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        min-idle: 0 # 连接池中的最小空闲连接
    timeout: 20000 # 连接超时时间（毫秒）
  profiles:
    active: local

eureka:
  client:
    service-url:
      defaultZone: http://${eureka-addr:localhost}:${eureka-port:6751}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/mdsp-service

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

feign:
  okhttp:
    enabled: true

ribbon:
  ConnectTimeout: 3000 # 服务请求连接超时时间（毫秒）
  ReadTimeout: 3000 # 服务请求处理超时时间（毫秒）

mybatis-plus:
  type-aliases-package: com.lantone.mdsp.entity
  mapper-locations: classpath*:/mapper/**/*Mapper.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
    auto-mapping-behavior: partial
  global-config:
    db-config:
      logic-delete-value: 0
      logic-not-delete-value: 1
      id-type: id_worker

swagger.title: 公司内部质控业务外其他数据源简易交互集中处理服务
swagger.des: 公司内部质控业务外其他数据源简易交互集中处理服务—相关接口文档
swagger.version: 0.0.1-SNAPSHOT